General help

 
 
Picture of Jeff White
Backup/Restore issues after upgrade to 2.4.1
 

We were having backup/restore issues in 2.2, recieving the warning pasted below when trying to backup. So I opted to upgrade first to 2.4 and then focus on the problem.

After upgrade, we still cannot backup or restore courses from our previous version, but if I create a new course, I can backup and restore it. However, the course we need was made with 2.2. 

Even with debugging features turned to Developer mode, I receive no information on the Backup or Restore attempts other than that there was a "Error writing to the Database." I know the config file has the correct information--beyond that, I have no clue. Any suggestions would be greatly appreciated. 

thanks, Jeff

Original msg we had when trying to backup a file in 2.2: 

MSA-13-0003: Potential server file access through backup restoration
   Description: Paths in backups to restorable files were not being sufficiently validated and could be manipulated to gain access to files on the server.
Issue summary: moodle1 backup converter path not properly validated
Severity/Risk: Serious
Versions affected: 2.4, 2.3 to 2.3.3+, 2.2 to 2.2.6+, 2.1 to 2.1.9+
Reported by: Dan Poltawski
Issue no.: MDL-36977
CVE Identifier: CVE-2012-6099

 
Average of ratings: -